# Uses of Class
org.apache.sling.junit.rules.TeleporterRule

Packages that use TeleporterRule
Package
Description
org.apache.sling.junit.rules

## Uses of TeleporterRule in org.apache.sling.junit.rules

Methods in org.apache.sling.junit.rules that return TeleporterRule
Modifier and Type
Method
Description
`static TeleporterRule`
TeleporterRule.`forClass(Class<?> classUnderTest)`
Build a TeleporterRule for the given class, with no client setup options.
`static TeleporterRule`
TeleporterRule.`forClass(Class<?> classUnderTest, String clientSetupOptions)`
Build a TeleporterRule for the given class, with optional clientSetupOptions.
`TeleporterRule`
TeleporterRule.`withResources(String... paths)`
Tell the concrete teleporter to embed resources, based on their path, in the test bundle.
Methods in org.apache.sling.junit.rules with parameters of type TeleporterRule
Modifier and Type
Method
Description
`void`
TeleporterRule.Customizer.`customize(TeleporterRule t, String options)`